import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Date;

public class Main {

    public static void main(String[] args) throws IOException {
        final String inPdfDir = ".";
        final String outPdfDir = inPdfDir;
        final String inPdfFilename = (args.length == 1 ? args[0] : "original.pdf");
        final Path inPdfFile = Paths.get(inPdfDir, inPdfFilename);
        System.out.println("inPdfFile=" + inPdfFile);
        assert Files.exists(inPdfFile);
        assert Files.isRegularFile(inPdfFile);
        assert Files.isReadable(inPdfFile);

        final byte[] inPdf =  Files.readAllBytes(inPdfFile);
        final boolean includePageNumbers = true;
        final byte[] outPdfStamped = PdfManipulator.generateHeaderAndFooter(inPdf, "Header genereated " + new Date(), includePageNumbers);

        Path outPdfFile = Paths.get(outPdfDir, "output_" + System.currentTimeMillis() + ".pdf");
        System.out.println("outPdfFile=" + outPdfFile);
        assert !Files.exists(outPdfFile);
        Files.write(outPdfFile, outPdfStamped);
    }
}
